edu.isi.pegasus.planner.catalog.transformation.client

## Class TCQuery.LFNComparator

- java.lang.Object
- - edu.isi.pegasus.planner.catalog.transformation.client.TCQuery.LFNComparator

All Implemented Interfaces:
  java.util.Comparator

Enclosing class:
  TCQuery

    private class TCQuery.LFNComparator
    extends java.lang.Object
    implements java.util.Comparator

The comparator that is used to group the RLSAttributeObject objects by the value in the key field. This comparator should only be used for grouping purposes not in Sets or Maps etc.

### Constructor Summary

Constructors
`private` `LFNComparator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(java.lang.Object o1, java.lang.Object o2)` Compares this object with the specified object for order.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`comparing, comparing, comparingDouble, comparingInt, comparingLong, equals, naturalOrder, nullsFirst, nullsLast, reversed, reverseOrder, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Constructor Detail

#### LFNComparator

    private LFNComparator()

### Method Detail

#### compare

    public int compare(java.lang.Object o1,
                       java.lang.Object o2)

Compares this object with the specified object for order. Returns a negative integer, zero, or a positive integer if the first argument is less than, equal to, or greater than the specified object. The TransformationCatalogEntry object are compared by their lfn field.

Specified by:
  `compare` in interface `java.util.Comparator`
Parameters:
  `o1` - is the first object to be compared.
  `o2` - is the second object to be compared.
Returns:
  a negative number, zero, or a positive number, if the object compared against is less than, equals or greater than this object.
Throws:
  `java.lang.ClassCastException` - if the specified object's type prevents it from being compared to this Object.